libebook::XMLCollector Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::XMLCollector Class Reference

`#include <XMLCollector.h>`

## Classes
struct | State

## Public Member Functions
| XMLCollector (librevenge::RVNGTextInterface *document)
void | collectMetadata (const librevenge::RVNGPropertyList &metadata)
void | collectText (const std::string &text)
void | collectSpace ()
void | collectTab ()
void | collectLineBreak ()
void | collectImage (const librevenge::RVNGPropertyList &props)
void | collectCoveredTableCell (const librevenge::RVNGPropertyList &props)
void | openPageSpan (const librevenge::RVNGPropertyList &props)
void | closePageSpan ()
void | openHeader (const librevenge::RVNGPropertyList &props)
void | closeHeader ()
void | openFooter (const librevenge::RVNGPropertyList &props)
void | closeFooter ()
void | openFootnote (const librevenge::RVNGPropertyList &props)
void | closeFootnote ()
void | openParagraph (const librevenge::RVNGPropertyList &props)
void | closeParagraph ()
void | openSpan (const librevenge::RVNGPropertyList &props)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &props)
void | closeLink ()
void | openTable (const librevenge::RVNGPropertyList &props)
void | closeTable ()
void | openTableRow (const librevenge::RVNGPropertyList &props)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &props)
void | closeTableCell ()
void | openOrderedList (const librevenge::RVNGPropertyList &props)
void | closeOrderedList ()
void | openUnorderedList (const librevenge::RVNGPropertyList &props)
void | closeUnorderedList ()
void | openListElement (const librevenge::RVNGPropertyList &props)
void | closeListElement ()
void | openObject (const librevenge::RVNGPropertyList &props)
void | closeObject ()
void | finish ()
| Signalize an end of parsing from the parser.

## Private Member Functions
| XMLCollector (const XMLCollector &)
XMLCollector & | operator= (const XMLCollector &)

## Private Attributes
librevenge::RVNGTextInterface *const | m_document
std::shared_ptr< State > | m_state

## Constructor & Destructor Documentation

## ◆ XMLCollector() [1/2]

libebook::XMLCollector::XMLCollector | ( | const XMLCollector & |  | ) |
| private

## ◆ XMLCollector() [2/2]

libebook::XMLCollector::XMLCollector | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## Member Function Documentation

## ◆ closeFooter()

void libebook::XMLCollector::closeFooter | ( |  | ) |

## ◆ closeFootnote()

void libebook::XMLCollector::closeFootnote | ( |  | ) |

## ◆ closeHeader()

void libebook::XMLCollector::closeHeader | ( |  | ) |

## ◆ closeLink()

void libebook::XMLCollector::closeLink | ( |  | ) |

## ◆ closeListElement()

void libebook::XMLCollector::closeListElement | ( |  | ) |

## ◆ closeObject()

void libebook::XMLCollector::closeObject | ( |  | ) |

## ◆ closeOrderedList()

void libebook::XMLCollector::closeOrderedList | ( |  | ) |

## ◆ closePageSpan()

void libebook::XMLCollector::closePageSpan | ( |  | ) |

## ◆ closeParagraph()

void libebook::XMLCollector::closeParagraph | ( |  | ) |

## ◆ closeSpan()

void libebook::XMLCollector::closeSpan | ( |  | ) |

## ◆ closeTable()

void libebook::XMLCollector::closeTable | ( |  | ) |

## ◆ closeTableCell()

void libebook::XMLCollector::closeTableCell | ( |  | ) |

## ◆ closeTableRow()

void libebook::XMLCollector::closeTableRow | ( |  | ) |

## ◆ closeUnorderedList()

void libebook::XMLCollector::closeUnorderedList | ( |  | ) |

## ◆ collectCoveredTableCell()

void libebook::XMLCollector::collectCoveredTableCell | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ collectImage()

void libebook::XMLCollector::collectImage | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ collectLineBreak()

void libebook::XMLCollector::collectLineBreak | ( |  | ) |

## ◆ collectMetadata()

void libebook::XMLCollector::collectMetadata | ( | const librevenge::RVNGPropertyList & | metadata | ) |

## ◆ collectSpace()

void libebook::XMLCollector::collectSpace | ( |  | ) |

## ◆ collectTab()

void libebook::XMLCollector::collectTab | ( |  | ) |

## ◆ collectText()

void libebook::XMLCollector::collectText | ( | const std::string & | text | ) |

## ◆ finish()

void libebook::XMLCollector::finish | ( |  | ) |

Signalize an end of parsing from the parser.

## ◆ openFooter()

void libebook::XMLCollector::openFooter | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openFootnote()

void libebook::XMLCollector::openFootnote | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openHeader()

void libebook::XMLCollector::openHeader | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openLink()

void libebook::XMLCollector::openLink | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openListElement()

void libebook::XMLCollector::openListElement | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openObject()

void libebook::XMLCollector::openObject | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openOrderedList()

void libebook::XMLCollector::openOrderedList | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openPageSpan()

void libebook::XMLCollector::openPageSpan | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openParagraph()

void libebook::XMLCollector::openParagraph | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openSpan()

void libebook::XMLCollector::openSpan | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openTable()

void libebook::XMLCollector::openTable | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openTableCell()

void libebook::XMLCollector::openTableCell | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openTableRow()

void libebook::XMLCollector::openTableRow | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ openUnorderedList()

void libebook::XMLCollector::openUnorderedList | ( | const librevenge::RVNGPropertyList & | props | ) |

## ◆ operator=()

XMLCollector & libebook::XMLCollector::operator= | ( | const XMLCollector & |  | ) |
| private

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::XMLCollector::m_document
| private

Referenced by finish().

## ◆ m_state

std::shared_ptr<State> libebook::XMLCollector::m_state
| private

Referenced by closeFooter(), closeFootnote(), closeHeader(), closeLink(), closeListElement(), closeOrderedList(), closePageSpan(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeUnorderedList(), collectCoveredTableCell(), collectImage(), collectLineBreak(), collectMetadata(), collectSpace(), collectTab(), collectText(), finish(), openFooter(), openFootnote(), openHeader(), openLink(), openListElement(), openOrderedList(), openPageSpan(), openParagraph(), openSpan(), openTable(), openTableCell(), openTableRow(), openUnorderedList(), and XMLCollector().

The documentation for this class was generated from the following files:

- XMLCollector.h
- XMLCollector.cpp